Class | RSS::Rss::Channel
In: | rss/trackback.rb rss/2.0.rb rss/0.9.rb
Parent: | Object

### Methods

new other_element to_s ttl=

### Included Modules

RSS09

### Classes and Modules

Class RSS::Rss::Channel::Cloud
Class RSS::Rss::Channel::Image
Class RSS::Rss::Channel::Item
Class RSS::Rss::Channel::SkipDays
Class RSS::Rss::Channel::SkipHours
Class RSS::Rss::Channel::TextInput

### Constants

Category | = | Item::Category

### External Aliases

children | -> | children09
_tags | -> | _tags09
pubDate | -> | date
pubDate= | -> | date=

### Public Class methods

new()

[Source]

    # File rss/0.9.rb, line 145
          def initialize()
            super()
          end

### Public Instance methods

other_element(need_convert, indent)

[Source]

    # File rss/2.0.rb, line 33
          def other_element(need_convert, indent)
            rv = "\#{category_elements(need_convert, indent)}\n\#{generator_element(need_convert, indent)}\n\#{ttl_element(need_convert, indent)}\n"
            rv << super
          end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/0.9.rb, line 149
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent) do |next_indent|
              [
                title_element(false, next_indent),
                link_element(false, next_indent),
                description_element(false, next_indent),
                language_element(false, next_indent),
                copyright_element(false, next_indent),
                managingEditor_element(false, next_indent),
                webMaster_element(false, next_indent),
                rating_element(false, next_indent),
                pubDate_element(false, next_indent),
                lastBuildDate_element(false, next_indent),
                docs_element(false, next_indent),
                cloud_element(false, next_indent),
                skipDays_element(false, next_indent),
                skipHours_element(false, next_indent),
                image_element(false, next_indent),
                item_elements(false, next_indent),
                textInput_element(false, next_indent),
                other_element(false, next_indent),
              ]
            end
            rv = convert(rv) if need_convert
            rv
          end

ttl=(value)

[Source]

    # File rss/2.0.rb, line 15
          def ttl=(value)
            @ttl = value.to_i
          end

[Validate]